libzypp 17.37.10

zyppng::ProvideStatus Class Reference

`#include <zypp-media/ng/provide.h>`

## Classes
struct | Stats

## Public Member Functions
| ProvideStatus (ProvideRef parent)
virtual | ~ProvideStatus ()
virtual void | provideStart ()
virtual void | provideDone ()
virtual void | itemStart (ProvideItem &item)
virtual void | itemDone (ProvideItem &item)
virtual void | itemFailed (ProvideItem &item)
virtual void | requestStart (ProvideItem &item, uint32_t reqId, const zypp::Url &url, const AnyMap &extraData={})
virtual void | requestDone (ProvideItem &item, uint32_t reqId, const AnyMap &extraData={})
virtual void | requestRedirect (ProvideItem &item, uint32_t reqId, const zypp::Url &toUrl, const AnyMap &extraData={})
virtual void | requestFailed (ProvideItem &item, uint32_t reqId, const std::exception_ptr &err, const AnyMap &requestData={})
virtual void | pulse ()
const Stats & | stats () const

## Private Attributes
Stats | _stats
ProvideWeakRef | _provider

## Detailed Description

Provide status observer object, this can be used to provide good insight into the status of the provider, its items and all running requests.

Definition at line 78 of file provide.h.

## Constructor & Destructor Documentation

## ◆ ProvideStatus()

zyppng::ProvideStatus::ProvideStatus | ( | ProvideRef | parent | ) |

Definition at line 1241 of file provide.cc.

## ◆ ~ProvideStatus()

virtual zyppng::ProvideStatus::~ProvideStatus | ( |  | ) |
| inline virtual

Definition at line 95 of file provide.h.

## Member Function Documentation

## ◆ provideStart()

void zyppng::ProvideStatus::provideStart | ( |  | ) |
| virtual

Definition at line 1245 of file provide.cc.

## ◆ provideDone()

virtual void zyppng::ProvideStatus::provideDone | ( |  | ) |
| inline virtual

Definition at line 98 of file provide.h.

## ◆ itemStart()

virtual void zyppng::ProvideStatus::itemStart | ( | ProvideItem & | item | ) |
| inline virtual

Definition at line 99 of file provide.h.

## ◆ itemDone()

void zyppng::ProvideStatus::itemDone | ( | ProvideItem & | item | ) |
| virtual

Definition at line 1252 of file provide.cc.

## ◆ itemFailed()

void zyppng::ProvideStatus::itemFailed | ( | ProvideItem & | item | ) |
| virtual

Definition at line 1265 of file provide.cc.

## ◆ requestStart()

virtual void zyppng::ProvideStatus::requestStart | ( | ProvideItem & | item,
|  | uint32_t | reqId,
|  | const zypp::Url & | url,
|  | const AnyMap & | extraData = {} )
| inline virtual

Definition at line 102 of file provide.h.

## ◆ requestDone()

virtual void zyppng::ProvideStatus::requestDone | ( | ProvideItem & | item,
|  | uint32_t | reqId,
|  | const AnyMap & | extraData = {} )
| inline virtual

Definition at line 103 of file provide.h.

## ◆ requestRedirect()

virtual void zyppng::ProvideStatus::requestRedirect | ( | ProvideItem & | item,
|  | uint32_t | reqId,
|  | const zypp::Url & | toUrl,
|  | const AnyMap & | extraData = {} )
| inline virtual

Definition at line 104 of file provide.h.

## ◆ requestFailed()

virtual void zyppng::ProvideStatus::requestFailed | ( | ProvideItem & | item,
|  | uint32_t | reqId,
|  | const std::exception_ptr & | err,
|  | const AnyMap & | requestData = {} )
| inline virtual

Definition at line 105 of file provide.h.

## ◆ pulse()

void zyppng::ProvideStatus::pulse | ( |  | ) |
| virtual

Definition at line 1275 of file provide.cc.

## ◆ stats()

const ProvideStatus::Stats & zyppng::ProvideStatus::stats | ( |  | ) | const

Definition at line 1270 of file provide.cc.

## Member Data Documentation

## ◆ _stats

Stats zyppng::ProvideStatus::_stats
| private

Definition at line 111 of file provide.h.

## ◆ _provider

ProvideWeakRef zyppng::ProvideStatus::_provider
| private

Definition at line 112 of file provide.h.

The documentation for this class was generated from the following files:

- zypp-media/ng/provide.h
- zypp-media/ng/provide.cc